<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <LangVersion>8</LangVersion>
    <Nullable>enable</Nullable>
    <Configurations>Debug;Release</Configurations>
    <Platforms>AnyCPU;x64</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.6.1" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="xunit" Version="2.4.1" />
    <PackageReference Include="xunit.runner.console" Version="2.4.1" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\OneOfZero.Iptmerge\OneOfZero.Iptmerge.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Fixture\generated.only-filter.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\generated.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merge-behaviour.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.full-rule-match.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.keep.keep.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.keep.whitelist.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.only-filter.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.purge.purge.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.whitelist.keep.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\merged.whitelist.whitelist.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Fixture\running.state">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
